var Funcao;
var Identificador;
$("#Editar").hide();
$('#CloseEdit').click(function () {
    $("#Editar").hide();
});
function SomenteNumero(e) {
    var tecla = (window.event) ? event.keyCode : e.which;
    if ((tecla > 47 && tecla < 58))
        return true;
    else {
        if (tecla == 8 || tecla == 0)
            return true;
        else
            return false;
    }
}
$(function ($) {
    editar = function (item) {
        Identificador = item;
        var ID_Funcao = $("#EditarFuncao" + ($(item).closest('tr').attr('id'))).val();
        Funcao = ID_Funcao;
        var URL = 'Funcoes.php?Function=59&ID_Funcao=' + ID_Funcao;
        $.get(URL, function (resposta) {
            var Resp = JSON.parse(resposta);
            if (Resp.JSON != "OK") {
                $("#TituloModal").html("Erro");
                $("#descError").html("<b>" + Resp.JSON + "</b>");
                $("#Erro").show();
            } else {
                var Dados = JSON.parse(Resp.DADOS);
                $("#descEdit").val(Dados.Descricao);
                $("#ID_PermissaoEdit").val(Dados.ID_Permissao);
                $("#submenuEdit").val(Dados.SubMenu);
                $("#linkEdit").val(Dados.Link);
                $("#iconeEdit").val(Dados.Icone);
                $("#classificadorEdit").val(Dados.Ordem);
                $("#Editar").show();
            }
        });
    }
});
$('#btAtualizar').click(function () {
    var URL = 'Funcoes.php?Function=60&ID_Funcao=' + Funcao + '&descEdit='
            + $("#descEdit").val() + '&ID_PermissaoEdit='
            + $("#ID_PermissaoEdit").val() + '&submenuEdit='
            + $("#submenuEdit").val() + '&linkEdit='
            + ($("#linkEdit").val() != "#" ? $("#linkEdit").val() : "") + '&iconeEdit='
            + $("#iconeEdit").val() + '&classificadorEdit='
            + $("#classificadorEdit").val();
    $.get(URL, function (resposta) {
        var Resp = JSON.parse(resposta);
        if (Resp.JSON != "OK") {
            $("#TituloModal").html("Erro");
            $("#TextError").html("<b>ATENÇÃO:</b> Não foi possível atualizar o modulo segue abaixo uma breve descrição do erro.</p>");
            $("#descError").html("<b>" + Resp.JSON + "</b>");
            $("#Erro").show();
            $("#Editar").hide();
        } else {
            location.reload();
        }
    });
});


$(function () {
    $('#ID_Modulo').change(function () {
        if ($(this).val()) {
            $.getJSON('Funcoes.php?Function=45&search=', {ID_Modulo: $(this).val(), ajax: 'true'}, function (j) {
                var options = '<option value="">Selecione</option>';
                for (var i = 0; i < j.length; i++) {
                    options += '<option value="' + j[i].ID_Funcao + '">' + j[i].Descricao + '</option>';
                }
                $('#ID_Referencia').html(options).show();
            });
        }
    });
});
$("#btSalvar").click(function () {
    var URL = 'Funcoes.php?Function=46&desc='
            + $("#desc").val() + "&ID_Permissao="
            + $("#ID_Permissao").val() + "&classificador="
            + $("#classificador").val() + "&ID_Modulo="
            + $("#ID_Modulo").val() + "&ID_Referencia="
            + $("#ID_Referencia").val() + "&icone="
            + $("#icone").val() + "&link="
            + ($("#link").val() != "#" ? $("#link").val() : "") + "&submenu="
            + $("#submenu").val();
    if ($("#desc").val() != "" && $("#ID_Permissao").val() != "" && $("#classificador").val() != "" && $("#icone").val() != "") {
        $.get(URL, function (resposta) {
            var Resp = JSON.parse(resposta);
            if (Resp.JSON != "OK") {
                $("#TituloModal").html("Erro");
                $("#descError").html("<b>" + Resp.JSON + "</b>");
                $("#Erro").show();
            } else {
                location.reload();
            }
        });
    } else {
        $("#TituloModal").html("Atenção!");
        $("#TextError").html("Não é possível salvar a função sem preencher os seguintes campos do formulário:");
        $("#descError").html("<ul><li><b>Descrição</b></li><li><b>Permissão</b></li><li><b>Classificador</b></li><li><b>Ícone</b></li></ul>");
        $("#Erro").show();
    }
});
$(function ($) {
    remove = function (item) {
        var tr = $(item).closest('tr');
        tr.fadeOut(400, function () {
            tr.remove();
            var URL = "Funcoes.php?Function=47&ID_Funcao=" + (this.id);
            $.get(URL, function (resposta) {
                var Resp = JSON.parse(resposta);
                if (Resp.JSON != "OK") {
                    $("#descError").html("<b>" + Resp.JSON + "</b>");
                    $("#Erro").show();
                }
            });
        });
        return false;
    }
});
$('#CloseModal').click(function () {
    $("#Erro").hide();
});
$('#BT_closeModal').click(function () {
    $("#Erro").hide();
});
$('#pageAnt').click(function () {
    history.back()
});